
Redmine - Patch #32787

Redmine 4.0 no longer supports Ruby 2.2

2020-01-12 05:45 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 4.0.7   

Description

After updating Rails to 5.2.4.1 (#32526), Redmine cannot be run with Ruby 2.2 because of the following change in Rails that uses &.

operator which has been introduced in Ruby 2.3.

https://github.com/rails/rails/commit/92ec9f270d696a17ba7604b3d02931f07c3e7c6a

We should update source:branches/4.0-stable/doc/INSTALL in order to correctly tell the supported Ruby versions.

Index: doc/INSTALL

===================================================================

--- doc/INSTALL (リビジョン 19406)

+++ doc/INSTALL (作業コピー)

@@ -7,7 +7,7 @@

 == Requirements

-* Ruby >= 2.2.2

+* Ruby >= 2.3

 * RubyGems

 * Bundler >= 1.5.0

Related issues:

Related to Redmine - Patch #32788: Specify supported Ruby version in Gemfile ... Closed

History

#1 - 2020-01-12 06:29 - Go MAEDA

- Related to Patch #32788: Specify supported Ruby version in Gemfile and doc/INSTALL added

#2 - 2020-01-14 01:45 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

doc/INSTALL has been updated in r19427.
